#!/usr/local/bin/python2.7

#
# Start a test server
#

import os

class ServerRunner:
    def __init__(self, server_name):
        self.server_name = server_name

    def run(self):
        (self.pipe_in, self.pipe_out) = os.popen2(self.server_name);

        while self.pipe_out.readline() == '':
            pass

    def halt(self):
        self.pipe_in.write('Done!\n')
        self.pipe_in.flush()
        
        self.pipe_in.close()
        self.pipe_out.close()

